<?php
namespace Controllers;

use Zeedhi\Framework\DTO;

class SearchProdutoFilial extends \Teknisa\GER\Controllers\TeknisaCrud
{
    protected $dataSourceName = "searchprodutofilial";
    protected $environment;
    
    public function __construct($crudService, $parameterBag, $environment)
    {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->environment = $environment;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
    	$filterCriteria = $request->getFilterCriteria();
		$filterCriteria->addCondition("CDFILIAL", $this->environment->getCdFilial());
		parent::find($request, $response);
	}
}